Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1370207 - Cloudforms attempts to connect to he wrong tenant to reach an instance
Summary: Cloudforms attempts to connect to he wrong tenant to reach an instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.6.3
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:tenant
Depends On: 1359268 1389392
Blocks: 1391882
TreeView+ depends on / blocked
 
Reported: 2016-08-25 14:13 UTC by Satoe Imaishi
Modified: 2017-08-30 03:44 UTC (History)
12 users (show)

Fixed In Version: 5.6.3.0
Doc Type: Bug Fix
Doc Text:
In the previous version of CloudForms, when attempting to open a VNC console to an instance, CloudForms failed to connect because the instance did not exist for that tenant - it attempted to use the wrong tenant. This update specifies the tenant when opening a VNC console which has resolved the issue. CloudForms is now able to connect successfully without an error.
Clone Of: 1359268
: 1391882 (view as bug list)
Environment:
Last Closed: 2016-11-30 19:52:59 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2839 normal SHIPPED_LIVE Important: CFME 5.6.3 security, bug fix, and enhancement update 2016-12-01 00:51:49 UTC

Comment 1 CFME Bot 2016-10-07 20:11:30 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/119c5b95441a9cb73796cb18280f912af2001463

commit 119c5b95441a9cb73796cb18280f912af2001463
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Sep 14 16:21:07 2016 -0400
Commit:     Oleg Barenboim <chessbyte@gmail.com>
CommitDate: Fri Oct 7 16:06:53 2016 -0400

    Merge pull request #11233 from tzumainn/openstack-vnc-console-fix
    
    specify tenant when getting vnc console
    (cherry picked from commit 3c5c8406a4d1bb255d4014f7a8695fdba032e7ba)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1370207

 .../manageiq/providers/openstack/cloud_manager/vm/remote_console.rb     | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Ronnie Rasouli 2016-11-29 16:41:39 UTC
on 5.6.3.3

opened vnc client the errors does not appear

Comment 9 errata-xmlrpc 2016-11-30 19:52:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2839.html


Note You need to log in before you can comment on or make changes to this bug.